tigase.auth.impl

## Class AuthRepoPlainCallbackHandler

- java.lang.Object
- - tigase.auth.impl.AuthRepoPlainCallbackHandler

- All Implemented Interfaces:
    CallbackHandler, AuthRepositoryAware, DomainAware

      public class AuthRepoPlainCallbackHandler
      extends Object
      implements CallbackHandler, AuthRepositoryAware, DomainAware

  This is implementation of CallbackHandler to use with old AuthRepositories. Callback VerifyPasswordCallback uses method AuthRepository.plainAuth(BareJID, String) to password verification.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Logger` | `log` Field description

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AuthRepoPlainCallbackHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handle(Callback[] callbacks)` Method description
    `void` | `setAuthRepository(AuthRepository repo)` Method description
    `void` | `setDomain(String domain)` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected Logger log

      Field description

  - ### Constructor Detail

    - #### AuthRepoPlainCallbackHandler

          public AuthRepoPlainCallbackHandler()

  - ### Method Detail

    - #### handle

          public void handle(Callback[] callbacks)
                      throws IOException,
                             UnsupportedCallbackException

      Method description
      Specified by:
        `handle` in interface `CallbackHandler`
      Parameters:
        `callbacks` -
      Throws:
        `IOException`
        `UnsupportedCallbackException`

    - #### setAuthRepository

          public void setAuthRepository(AuthRepository repo)

      Method description
      Specified by:
        `setAuthRepository` in interface `AuthRepositoryAware`
      Parameters:
        `repo` -

    - #### setDomain

          public void setDomain(String domain)

      Method description
      Specified by:
        `setDomain` in interface `DomainAware`
      Parameters:
        `domain` -

Copyright © 2013 Tigase. All rights reserved.